# Privacy Policy

Last updated: **2024/4/6**

Effective Date: **2024/4/16**

## Introduction

**_todaair_** is a product of Jiangmen Todaair Electronic Co., Ltd._ (hereinafter referred to as "us").
Our product is developed using DCloud uni-app (5+ App/Wap2App). During the operation of the application, we may collect your device's unique identification code (IMEI/Android ID/DEVICE_ID/IDFA, SIM card IMSI information, OAID) to provide statistical analysis services. We also use startup data and exception error logs analysis to improve performance and user experience, in order to provide better services to our users.

When you use our services, we may collect and use your relevant information.

Through this Privacy Policy, we wish to explain to you how we collect, use, store and share this information when using our services, as well as the ways we provide you with access to, update, control and protect this information.

This Privacy Policy is closely related to the _todaair_ service you use. We hope that you can read it carefully and make the appropriate choices according to the guidelines of this Privacy Policy when necessary.

We try our best to express the relevant technical terms in this Privacy Policy succinctly and provide links to further instructions for your understanding.

**By using or continuing to use our services, you consent to us collecting, using, storing and sharing your relevant information in accordance with this Privacy Policy.**


If you have any questions about this Privacy Policy or related matters, please contact us by email:tdsh2@todaair.cn or tel:0750-3671877

#### **Delete account**
Registered users can log in by https://web.todaair.com/account.html .Please log out and delete all information under your account. Please note that after logging out, you cannot log in to the app using your original account.


### 1\. The information we collected

The following information relating to you may be collected, stored and used by us or our third party partners in providing the services.

If you do not provide the relevant information, you may not be able to register as our user or enjoy some of the services we provide, or you may not be able to achieve the effect intended by the services.

**Personal Information**, the relevant personal information you provide to us when you register for an account or use our services, such as telephone number, email, etc.

**Location Information** refers to the information about your location collected when you enable the device location function and use our location-based services, including:

* Your geographic location information collected by means such as GPS or Wi-Fi when you use our services via a location-enabled mobile device;

* You can stop the collection of your geolocation information by turning off the location feature.

**Log information** refers to the information that the system may collect through cookies, identifiers and related technologies when you use our services, including your **device information**, **browsing information**, **click information**, and save such information as log information, so as to provide you with personalized user experience and ensure service security.

You can deny or manage the use of cookies, identifiers, or related technologies through your browser Settings.

**Todaair allows users to use mobile photo albums or cameras to identify SN code information in images, providing scanning QR codes and QR code binding management device functions. It only recognizes uploaded SN codes and does not upload user image files.
The information provided by the user includes: mobile phone number, photo, and email address. This information will reside in the Easy Network Management server. This information is transmitted and stored through encryption technology (HTTPS), mainly used for user login, product feedback, after-sales service, etc. The information will not be used by third parties.
If users want the information they provide not to be stored by Todaair (including our server), they can choose the option of 'My - Log Off Account'. All user information will be automatically deleted.**

Type of data collection: During the operation of the application, your device unique identification code (IMEI/android ID/DIVICE ID/IDFA, SIM card, IMSI information, OAID) needs to be collected to provide statistical analysis services. We will upload the information https://stream.dcloud.net.cn Used to improve performance and user experience through application startup data and abnormal error log analysis, providing better services to users. For more information, please visit the [《DCloud User Service Terms》](https://ask.dcloud.net.cn/protocol.html "《DCloud User Service Terms》").

SDK purpose: to provide statistical analysis services, abnormal error log analysis

**Required permissions**

- Camera: taking photos and recording videos
Permission usage statement:
- Used to scan device QR code labels and bind devices, for functions such as binding, viewing, and managing devices;
- When we use this permission, a pop-up message will prompt the user to proceed with the authorization operation, saying 'Do we allow todaair to take photos or record videos?'


### 2\. Storage of information

**2.1 Method and duration of information storage**

* We will store your information in a secure way, including local storage (e.g. data caching via APP), database and server logs.
* In general, we will only store your personal information for as long as necessary for the purpose of the service or as required by laws and regulations.

**2.2 Information storage area**

* We will store users' personal information collected in China in accordance with laws and regulations.
* Currently, we do not transfer or store your personal information across borders.

If cross-border transmission or storage is required in the future, we will inform you of the purpose of leaving the information, the recipient, security guarantee measures and security risks, and obtain your consent.

**2.3 Notice when the product or service ceases operation**

* When our products or services cease operation, we will notify you in the form of push notification, announcement, etc., and delete your personal information or anonymize it within a reasonable period, unless otherwise stipulated by laws and regulations.

## 3\. Information security

We use a variety of security technologies and procedures to prevent loss, misuse, unauthorized access or disclosure of information.
For example, in some services, we will utilize encryption technologies such as SSL to protect the personal information you provide.
However, please understand that due to technological limitations and possible malicious means, in the Internet industry, it is impossible to guarantee 100% security of information even if we do our best to strengthen security measures.
You need to understand that the systems and communication networks you use to access our services may become faulty due to factors beyond our control.

## 4\. How do we use information

We may use the information we collect in the course of providing services to you for the following purposes:

* Provide services to you;
* For identity authentication, customer service, security prevention, fraud detection, archiving and backup purposes when we provide services to ensure the security of our products and services to you;
* Help us design new services and improve our existing services;
* Enable us to better understand how you access and use our services, so as to respond to your personalized needs, such as language Settings, location Settings, personalized help services and instructions, or other aspects of response to you and other users;
* Provide you with ads that are more relevant to you as an alternative to general advertising;
* Evaluate and improve the effectiveness of advertising and other promotional and promotional activities in our services;
Software certification or management software upgrade;
* Allows you to participate in surveys about our products and services.

## 5\. Information sharing

At present, we will not take the initiative to share or transfer your personal information to a third party. If there is any other sharing or transfer of your personal information or you need us to share or transfer your personal information to a third party, we will directly or confirm that the third party has obtained your express consent for the above behavior.

For the purpose of advertising, evaluating and optimizing the effect of advertising, we need to share part of your data with advertisers, their agents and other third party partners, and require them to strictly comply with our measures and requirements on data privacy protection, including but not limited to data protection agreement, letter of commitment and relevant data processing policies, so as to avoid personal identification.

Ensure privacy and security.

We do not share with our partners information that can be used to personally identify you (such as your name or email address) unless you expressly authorize it.

We will not publicly disclose the personal information we have collected. If public disclosure is necessary, we will inform you of the purpose of such public disclosure, the type of information disclosed and the sensitive information that may be involved, and obtain your express consent.

As our business continues to develop, we may conduct mergers, acquisitions, asset transfers and other transactions. We will inform you of relevant situations and continue to protect your personal information or require new controllers to continue to protect your personal information in accordance with laws and regulations and standards no lower than those required by this Privacy Policy.

In addition, according to relevant laws, regulations and national standards, we may share, transfer and publicly disclose personal information without prior consent of your authorization under the following circumstances:

* Directly related to national security and national defense security;
* Those directly related to public safety, public health or major public interests;
* Those directly related to the investigation, prosecution, trial and execution of judgments of crimes;
* In order to protect the life, property and other major legal rights and interests of the subject of personal information or other individuals, but it is difficult to get the consent of the person;
* The subject of personal information discloses personal information to the public on its own;
* Collecting personal information from legally publicly disclosed information, such as legal news reports, government information disclosure, etc.

## 6\. Your rights

During your use of our services, we may provide you with appropriate operation Settings based on the specific circumstances of the product, so that you can query, delete, correct or withdraw your relevant personal information. You may refer to the corresponding specific guidelines for operation.

In addition, we have also set up a complaint reporting channel, your comments will be dealt with in a timely manner.

If you are unable to exercise your rights as the subject of personal information through the above channels and methods, you can make your request through the contact information provided in this Privacy Policy, and we will give feedback according to the provisions of laws and regulations.

When you decide that you no longer want to use our products or services, you can apply to cancel your account.

After the account is closed, we will delete or anonymize your personal information, unless otherwise stipulated by laws and regulations.

## 7\. Change

We may amend the terms of this Privacy Policy in due course.

When changes occur, we will remind you of the new Privacy Policy when the version is updated and explain the effective date to you.

Please read the changed Privacy Policy carefully. 
**If you continue to use our services, you agree that we will process your personal information in accordance with the updated Privacy Policy.**

## 8\. Protection of minors

We encourage parents or guardians to direct minors under the age of 18 to use our services.

We recommend that minors encourage their parents or guardians to read this Privacy Policy and that minors seek consent and guidance from their parents or guardians before submitting personal information.